<?php
//##copyright##

$limit = $iaCore->get('events_number_rss', 10);

$iaEvents = $iaCore->factoryPlugins(IA_CURRENT_PLUGIN, 'common', 'events');
$events = $iaEvents->get(array(), 0, $limit);

if ($events)
{
	foreach ($events as $key => $item)
	{
		$events[$key]['description'] = iaSanitize::tags($item['description']);
	}
}

header('Content-Type: text/xml;');

$iaView->assign('image', array(
	'link' => IA_URL,
	'logo' => IA_TPL_URL . '/img/logo.gif',
	'title' => iaLanguage::get('events') . $iaCore->get('suffix')
));
$iaView->assign('items', $events);

$iaView->set('header', 'none');
$iaView->set('footer', 'none');

$iaView->display('rss');